#icons_format = "{icon}"

[theme]
theme = "plain"

[icons]
icons = "awesome6"
[icons.overrides]
net_loopback = "\uf019"
memory_mem = "\uf538"
volume_muted = "\uf6a9"

[[block]]
block = "net"
format = "$signal_strength $ssid $ip"
inactive_format = ""

[[block]]
block = "memory"
format = "$mem_avail.eng(w:4) +$swap_free.eng(w:4)"
warning_mem = 90
critical_mem = 95
warning_swap = 100
critical_swap = 100

[[block]]
block = "battery"
format = "$icon $percentage{ $power.eng(w:4)|}"
not_charging_format = "NOT $icon $percentage"
missing_format = "$icon "
empty_threshold = 0
full_threshold = 200

[[block]]
block = "sound"
format = "$icon  {$volume}"
show_volume_when_muted = true
[[block.click]]
button = "left"
cmd = "pavucontrol"

[[block]]
block = "time"
interval = 5
format = "$timestamp.datetime(f:'%a %m/%d %T')"

[[block]]
block = "pacman"
signal = 1
format = "$icon {$pacman}"
format_singular = "$icon {$pacman}"
format_up_to_date = ""
critical_updates_regex = "firefox|chromium"

[[block]]
block = "notify"
